# Uses of Interface
org.eclipse.emf.compare.ide.hook.IResourceSetHook

Packages that use IResourceSetHook
Package
Description
org.eclipse.emf.compare.ide.hook
org.eclipse.emf.compare.ide.internal.hook

## Uses of IResourceSetHook in org.eclipse.emf.compare.ide.hook

Classes in org.eclipse.emf.compare.ide.hook that implement IResourceSetHook
Modifier and Type
Class
Description
`class`
`AbstractResourceSetHooks`
Abstract implementation of `IResourceSetHook`.

## Uses of IResourceSetHook in org.eclipse.emf.compare.ide.internal.hook

Methods in org.eclipse.emf.compare.ide.internal.hook that return types with arguments of type IResourceSetHook
Modifier and Type
Method
Description
`Collection<IResourceSetHook>`
ResourceSetHookRegistry.`getResourceSetHooks()`
Gets the registered `IResourceSetHook`s.